Listar Solicitações
Retorna uma lista paginada com as solicitações de pesquisa de determinada unidade. Inclui todos os canais: SMS, e-mail, WhatsApp, Link/QRCode e InApp.
curl -X POST "https://api.amplifique.me/partners/cf/requests?limit=42&page=25&start=01/01/2024&end=31/12/2024&include_survey=true&open_start=01/01/2024&open_end=31/12/2024" \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY"
import requests
import json
url = "https://api.amplifique.me/partners/cf/requests?limit=42&page=25&start=01/01/2024&end=31/12/2024&include_survey=true&open_start=01/01/2024&open_end=31/12/2024"
headers = {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
response = requests.post(url, headers=headers)
print(response.json())
const response = await fetch("https://api.amplifique.me/partners/cf/requests?limit=42&page=25&start=01/01/2024&end=31/12/2024&include_survey=true&open_start=01/01/2024&open_end=31/12/2024", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("POST", "https://api.amplifique.me/partners/cf/requests?limit=42&page=25&start=01/01/2024&end=31/12/2024&include_survey=true&open_start=01/01/2024&open_end=31/12/2024", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.amplifique.me/partners/cf/requests?limit=42&page=25&start=01/01/2024&end=31/12/2024&include_survey=true&open_start=01/01/2024&open_end=31/12/2024')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"data": [
{
"_id": "645cfb345e8a1e02494b88bd",
"_survey": "64147ad6e6947a3a0ca1d721",
"channel": 6,
"opened": true,
"finalized": false,
"deleted": false,
"origin": "preview.amplifique.me/preview/60afce1ca9680b000eca2459?version=2",
"anonymized": false,
"attempts": 1,
"_customer": "642598acf05534d1cd33d69a",
"_user": "60e83e2cc59ce771be97267a",
"_business": "629f52abca19568f84de7747",
"custom_fields": {
"data_nascimento": "11/01/1990"
},
"created_at": "2023-05-11T14:27:00.521Z",
"opened_at": "2023-05-11T14:27:12.277Z",
"sendings": {
"_id": "645cfb345e8a1e02494b88c4",
"source": 6,
"source_status": "DELIVERED",
"_reference": "645cfb345e8a1e02494b88bd",
"type": "cf",
"attempt": 1,
"attemptDelay": 0,
"_business": "629f52abca19568f84de7747",
"providerSource": "TakeBlip",
"providerId": "86777ea5-197f-4318-b194-1886db496623",
"created_at": "2023-05-11T14:27:00.538Z",
"updated_at": "2023-05-11T14:57:02.566Z"
},
"customer": {
"name": "Robson",
"email": "robson@amplifique.me",
"tel": "+5511997273014",
"custom_fields": {
"data_nascimento": "11/09/1997"
}
},
"deleted_by": {}
}
],
"total": 123
}
/partners/cf/requests
Target server for requests. Edit to use your own host.
API key (sent in header)
Limite de solicitações retornadas por página. Mín: 1, Máx: 1000
Número da página a retornar. Mín: 0
Data inicial de criação da solicitação (dd/MM/yyyy). Requer end.
Data final de criação da solicitação (dd/MM/yyyy). Requer start.
Quando true, retorna a estrutura completa da pesquisa junto de cada solicitação.
Data inicial de abertura da pesquisa (dd/MM/yyyy). Requer open_end.
Data final de abertura da pesquisa (dd/MM/yyyy). Requer open_start.
The media type of the request body
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Query Parameters
Limite de solicitações retornadas por página. Mín: 1, Máx: 1000
Número da página a retornar. Mín: 0
Data inicial de criação da solicitação (dd/MM/yyyy). Requer end.
Data final de criação da solicitação (dd/MM/yyyy). Requer start.
Quando true, retorna a estrutura completa da pesquisa junto de cada solicitação.
Data inicial de abertura da pesquisa (dd/MM/yyyy). Requer open_end.
Data final de abertura da pesquisa (dd/MM/yyyy). Requer open_start.
Responses
Total de registros encontrados